* {
    margin: 0px;
    padding: 0px;
}

nav {
    height: 7.7vh;
    background-color: rgba(26, 51, 65, 0.514);
    display: flex;
    justify-content: space-around;
}

nav ul {
    list-style-type: none;
}

nav li {
    display: inline-block;
    padding-top: 0.8em;
    font-size: 1.7em;
    margin-left: 3em;
}

nav a {
    text-decoration: none;
    padding: 0.6em;
    color: aliceblue;
}

nav a:hover {
    background-color: rgba(46, 81, 100, 0.705);
}

#prva {
    height: 92.3vh;
    /*background-color: rgb(119, 166, 192);*/
}

.naslovna {
    float: left;
    width: 40em;
    margin-left: 10em;
    margin-top: 5em;
}

.naslov {
    float: right;
    margin-right: 5em;
    margin-top: 4em;
    font-size: 80px;
    color: aliceblue;
}

.nema {
    display: none;
}

#strA {
    height: 100vh;
    background-image: url("slike/naslovna.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
}

#strB {
    height: 45vh;
    background-color: rgb(31, 62, 80);
    color: aliceblue;
}

p {
    margin-left: 8em;
    margin-right: 8em;
    margin-bottom: 0.3em;
    font-size: 1.3em;
}

h2 {
    text-align: center;
    margin-bottom: 1.7em;
    font-size: 1.7em;
}

h3 {
    font-size: 1.5em;
    margin-left: 7em;
    margin-bottom: 0.5em;
    margin-top: 1.5em;
}

#strC {
    height: 100vh;
    background-color: rgb(31, 62, 80);
    color: aliceblue;
}

#strD {
    height: 90vh;
    background-color: rgb(31, 62, 80);
    color: aliceblue;
}

.gallery {
    display: grid; 
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    gap: 0.2rem;
    margin-left: 8em;
    margin-right: 8em;
}

.image {
    overflow: hidden;
}

.image img {
    width: 90%;
    height: auto;
    transition: transform 0.3 ease;
}

.image:hover img {
    transform: scale(1.1);
}

.vise {
    margin-top: -4em;
}

.fleksSlike {
    display: flex;
    justify-content: center;
    margin-bottom:  2em;
}

.vrste {
    width: 20%;
    margin-left: 4em;
    margin-top: 4em;
}

.video {
    margin-left: 40em;
    margin-top: 3em;
}

#box {
    border-radius: 13%;
    height: 45vh;
    width: 80vw;
    box-shadow: rgb(140, 176, 209) 0.5em 0.2em;
    margin-left: 12em;
}

label {
    margin: 0 1.6em 0 0;
    font-size: 1.5em;
    width: 1.5em;
    line-height: 2em;
    float: right;
    display: none;
}

#prekidac {
    display: none;
}



@media only screen and (max-width: 728px) { 
    nav {
        width: 40vw;
        height: auto;
        background-color: rgba(26, 51, 65, 0);
    }

    nav ul {
        float: none;
        margin: 0.3em;
    }

    nav li {
        text-align: center;
        margin: -1em;
        display:block;
    }

    nav a {
        color: azure;
        text-decoration: none;
        font-size: 0.7em;
        padding: 0em;
        height: fit-content;
    }

    nav a:hover {
        color: aliceblue;
        background-color: rgba(46, 81, 100, 0.705);
    }

    .ham {
        text-align: center;
        width: 100%;
        display: none;
    }

    label {
        display: block;
        cursor: pointer;
        color: rgb(255, 255, 255);
        float: left;
    }

    #prekidac:checked+.ham {
        display: block;
    }

    #strA {
        height: 65vh;
        width: 100vw;
        background-color: rgb(31, 62, 80);
        color: aliceblue;
    }

    #strC {
        height: 100vh;
        width: 100vw;
        background-color: rgb(31, 62, 80);
        color: aliceblue;
    }
    
    #strD {
        height: 100vh;
        width: 100vw;
        background-color: rgb(31, 62, 80);
        color: aliceblue;
    }

    .naslovna {
        float: none;
        width: 20em;
        margin-left: 2.3em;
        margin-top: 1em;
    }
    
    .naslov {
        display: none;
        float: none;
    }

    .nema{
        display: block;
        margin-left: 1.6em;
        font-size: 60px;
        color: aliceblue;
        margin-top: 0.3em;
    }

    p {
        margin-left: -11em;
        /* margin-right: 1em; */
        margin-bottom: 0.3em;
        font-size: 1em;
    }
    
    h2 {
        text-align: center;
        margin-bottom: 1.7em;
        font-size: 1.8em;
    }
    
    h3 {
        font-size: 1.5em;
        margin-left: -1.5em;
        margin-bottom: 0.5em;
        margin-top: 1em;
    }

    #box {
        box-shadow: none;
        width: 20rem;
    }

    .fleksSlike {
        display: flex;
        justify-content: center;
        margin-bottom:  2em;
        margin-top: 7em;
        margin-right: 4em;
    }    

    .vrste {
        width: 50%;
        margin-top: 4em;
        margin-right: -1em;
        margin-left: 3em;
    }

    .video {
       display: none;
    }
    
    .gallery {
        display: flex;
        flex-direction: column-reverse;
        gap: 0.2rem;
        margin-left: 4.5em;
        margin-right: 0.1em;
    }
    
    .image {
        overflow: hidden;
    }
    
    .image img {
        width: 80%;
        height: auto;
        transition: transform 0.3 ease;
    }
    
    .image:hover img {
        transform: scale(1.1);
    }

    #prva {
        height: 92.3vh;
        width: 100vw;
       /* background-color: rgb(119, 166, 192);*/
    }

}
